import pandas as pd

df = pd.read_csv("../data/sport_db.csv", sep = "\t")

games = df.groupby(by = "sport").size()
teams = pd.concat([df[["home_team", "sport"]].rename(columns = {"home_team": "team"}), df[["away_team", "sport"]].rename(columns = {"away_team": "team"})]).drop_duplicates().groupby(by = "sport").size()
leagues = df[["league", "sport"]].drop_duplicates().groupby(by = "sport").size()
seasons = df[["league", "season", "sport"]].drop_duplicates().groupby(by = "sport").size()

naive_hom_adv = df.groupby(by = "sport")["home_win"].mean()

df = pd.DataFrame()
df.index = games.index
df["games"] = games
df["teams"] = teams
df["seasons"] = seasons
df["leagues"] = leagues

print("\\begin{table}\n\\centering\n\\begin{tabular}{l|rrrr}\nSport & \\# Matches & \\# Teams & \\# Seasons & \\# Leagues\\\\\n\\hline")
for sport, row in df.iterrows():
   print(f"{sport.capitalize()} & {row['games']} & {row['teams']} & {row['seasons']} & {row['leagues']}\\\\")

print("\\end{tabular}\n\\caption{Summary statistics for the studied disciplines.}\n\\label{tab:summary-stats}\n\\end{table}")
