import predictor, sys
import pandas as pd

df = pd.read_csv("../data/sport_db.csv", sep = "\t")

output_table = []

output_table.append("\\begin{table}")
output_table.append("\\centering")
output_table.append("\\begin{tabular}{l|rr}")
output_table.append("Sport & AUC & Home Adv.\\\\")
output_table.append("\\hline")

for index, sport in df["sport"].drop_duplicates().sort_values().items():
   sys.stderr.write(f"{sport}...\n")
   auc, home_adv = predictor.predict(df[df["sport"] == sport], predictor = sys.argv[1])
   output_table.append(f"{sport.capitalize()} & {auc:.4f} & {home_adv:.4f}\\\\")

output_table.append("\\end{tabular}")
output_table.append("\\caption{The general levels of predictability and home advantage for the studied disciplines, across all considered seasons and leagues.}")
output_table.append("\\label{tab:sport-overall}")
output_table.append("\\end{table}")

for x in output_table:
   print(x)

