import predictor, sys
import pandas as pd

df = pd.read_csv("../data/sport_db.csv", sep = "\t")

output_table = []

for index, row in df[["sport", "league"]].drop_duplicates().sort_values(by = ["sport", "league"]).iterrows():
   auc, home_adv = predictor.predict(df[(df["league"] == row["league"]) & (df["sport"] == row["sport"])], predictor = sys.argv[1])
   output_table.append((row["sport"] , row["league"], auc, home_adv))

output_df = pd.DataFrame(data = output_table, columns = ("sport", "league", "auc_pr", "home_adv_pr"))
output_df.to_csv("table_3.csv", sep = "\t", index = False)

