import predictor, sys, datetime
import pandas as pd
from dateutil.relativedelta import relativedelta

df = pd.read_csv("../data/sport_db.csv", sep = "\t")

output_table = []

for season in range(2006, 2023):
   sys.stderr.write(f"{season}...\n")
   start = pd.to_datetime(df[df["season"] == season]["date"].min(), format = "%Y%m%d") - relativedelta(years = 1)
   auc, home_adv = predictor.predict(df[(pd.to_datetime(df["date"], format = "%Y%m%d") >= start) & (df["season"] <= season)], predictor = sys.argv[1])
   output_table.append((season, auc, home_adv))

output_df = pd.DataFrame(data = output_table, columns = ("season", "auc_pr", "home_adv_pr"))
output_df.to_csv("fig_1.csv", sep = "\t", index = False)

