import pandas as pd
import statsmodels.api as sm

df = pd.read_csv("fig_1.csv", sep = "\t")
df = sm.add_constant(df)

home_regr = sm.OLS(df["home_adv_pr"], df[["season", "const"]]).fit()
print(home_regr.summary())

sport_db = pd.read_csv("../data/sport_db.csv", sep = "\t")
sport_db = sport_db[sport_db["season"] >= 2011].copy()
sport_db["closed"] = 0
sport_db.loc[(sport_db["date"] > 20200312) & (sport_db["date"] < 20210609), "closed"] = 1

covid = df[df["season"] >= 2011].copy()
covid = covid.merge(sport_db.groupby(by = "season")["closed"].mean().reset_index(), on = "season")
covid["closed_bin"] = 0
covid.loc[covid["season"] == 2021, "closed_bin"] = 1

covid.to_csv("table_s2.csv", sep = "\t", index = False)
